
# these were extracted from plots by hand - see keynote

limitsDict = {}

# CMS-PAS-EXO-14-005 fig 4 (same line as CMS-EXO-14-005)
limitsDict['CMS_scouting_8TeV_18.8fb_gB'] = [ 
    (500,0.39),
    (600,0.375),
    (700,0.37),
    (800,0.63),
    (900,0.58),
    (1000,0.69),
    (1100,0.83),
    (1200,0.84),
]

# rescale gB to gq
limitsDict['CMS_scouting_8TeV_18.8fb'] = []
for item in limitsDict['CMS_scouting_8TeV_18.8fb_gB']:
    limitsDict['CMS_scouting_8TeV_18.8fb'].append((item[0], item[1]/6.))

    
# CMS-EXO-16-032 fig 3
limitsDict['CMS_scouting_13TeV_12.9fb'] = [
    (600, 0.07),
    (650, 0.079),
    (700, 0.084),
    (750, 0.102),
    (800, 0.122),
    (850, 0.130),
    (900, 0.130),
    (950, 0.118),
    (1000, 0.1),
    (1050, 0.089),
    (1100, 0.091),
    (1150, 0.102),
    (1200, 0.11),
    (1250, 0.109),
    (1300, 0.104),
    (1350, 0.098),
    (1400, 0.094),
    (1450, 0.094),
    (1500, 0.098),
    (1550, 0.107),
    (1600, 0.127),
]

# CMS-EXO-16-032 fig 3
limitsDict['CMS_dijet_13TeV_12.9fb'] = [
    (1600, 0.123),
    (1700, 0.129),
    (1800, 0.150),
    (1900, 0.159),
    (2000, 0.181),
    (2100, 0.227),
    (2200, 0.248),
    (2300, 0.223),
    (2400, 0.192),
    (2500, 0.191),
    (2600, 0.226),
    (2700, 0.290),
    (2800, 0.332),
    (2900, 0.361),
    (3000, 0.378),
    (3100, 0.367),
    (3200, 0.345),
    (3300, 0.362),
    (3400, 0.373),
    (3500, 0.380),
    (3600, 0.395),
    (3700, 0.441),
]

# CMS-EXO-16-056 fig 4 http://cms-results.web.cern.ch/cms-results/public-results/preliminary-results/EXO-16-056/
limitsDict['CMS_scouting_13TeV_27fb_prelim'] = [
    (600, 0.121),
    (650, 0.089),
    (700, 0.069),
    (750, 0.081),
    (800, 0.106),
    (850, 0.102),
    (900, 0.077),
    (950, 0.069),
    (1000, 0.069),
    (1050, 0.095),
    (1100, 0.135),
    (1150, 0.164),
    (1200, 0.161),
    (1250, 0.164),
    (1300, 0.15),
    (1350, 0.123),
    (1400, 0.102),
    (1450, 0.086),
    (1500, 0.084),
    (1550, 0.091),
    (1600, 0.106),
    ]

# CMS-EXO-16-056 fig 4
limitsDict['CMS_dijet_13TeV_36fb_prelim'] = [
    (1600, 0.119),
    (1700, 0.16),
    (1800, 0.174),
    (1900, 0.156),
    (2000, 0.147),
    (2100, 0.146),
    (2200, 0.135),
    (2300, 0.116),
    (2400, 0.13),
    (2500, 0.153),
    (2600, 0.183),
    (2700, 0.225),
    (2800, 0.246),
    (2900, 0.264),
    (3000, 0.259),
    (3100, 0.211),
    (3200, 0.256),
    (3300, 0.306),
    (3400, 0.328),
    (3500, 0.341),
    (3600, 0.343),
    (3700, 0.369),
    ]

# CMS-EXO-16-056 fig 4 http://cms-results.web.cern.ch/cms-results/public-results/publications/EXO-16-056/
limitsDict['CMS_scouting_13TeV_27fb'] = [
    (600, 0.121),
    (650, 0.087),
    (700, 0.070),
    (750, 0.082),
    (800, 0.106),
    (850, 0.102),
    (900, 0.077),
    (950, 0.069),
    (1000, 0.069),
    (1050, 0.094),
    (1100, 0.135),
    (1150, 0.164),
    (1200, 0.162),
    (1250, 0.164),
    (1300, 0.151),
    (1350, 0.122),
    (1400, 0.102),
    (1450, 0.087),
    (1500, 0.084),
    (1550, 0.091),
    (1600, 0.106),
    ]

# CMS-EXO-16-056 fig 4
limitsDict['CMS_dijet_13TeV_36fb'] = [
    (1600, 0.12),
    (1700, 0.161),
    (1800, 0.175),
    (1900, 0.156),
    (2000, 0.148),
    (2100, 0.146),
    (2200, 0.136),
    (2300, 0.116),
    (2400, 0.130),
    (2500, 0.154),
    (2600, 0.184),
    (2700, 0.225),
    (2800, 0.248),
    (2900, 0.264),
    (3000, 0.259),
    (3100, 0.212),
    (3200, 0.257),
    (3300, 0.306),
    (3400, 0.329),
    (3500, 0.341),
    (3600, 0.343),
    (3700, 0.367),
    ]


# CMS-EXO-17-001_Figure_007-b
limitsDict['CMS_boosted_13TeV_35.9fb'] = [
    (50, 0.10),
    (55, 0.078),
    (60, 0.058),
    (65, 0.061),
    (70, 0.081),
    (75, 0.09),
    (80, 0.118),
    (85, 0.123),
    (90, 0.102),
    (95, 0.091),
    (100, 0.094),
    (105, 0.125),
    (110, 0.126),
    (115, 0.138),
    (120, 0.131),
    (130, 0.101),
    (140, 0.08),
    (150, 0.078),
    (155, 0.088),
    (160, 0.088),
    (170, 0.099),
    (175, 0.1),
    (180, 0.098),
    (190, 0.114),
    (195, 0.115),
    (200, 0.128),
    (205, 0.134),
    (210, 0.112),
    (215, 0.145),
    (220, 0.148),
    (230, 0.18),
    (235, 0.162),
    (240, 0.183),
    (245, 0.19),
    (250, 0.22),
    (260, 0.21),
    (270, 0.212),
    (280, 0.218),
    (290, 0.221),
    (295, 0.22),
    ]
